VERSION 5.00
Begin VB.Form Form1 
   Caption         =   " Count Low Pulse"
   ClientHeight    =   1365
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7305
   LinkTopic       =   "Form1"
   ScaleHeight     =   1365
   ScaleWidth      =   7305
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text2 
      Enabled         =   0   'False
      Height          =   375
      Left            =   4560
      TabIndex        =   7
      Top             =   480
      Width           =   1215
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   0
      Top             =   840
   End
   Begin VB.TextBox Text1 
      Enabled         =   0   'False
      Height          =   375
      Left            =   4560
      TabIndex        =   6
      Top             =   0
      Width           =   1215
   End
   Begin VB.CommandButton Stop_Counter 
      Caption         =   "Stop Counter"
      Height          =   375
      Left            =   5880
      TabIndex        =   5
      Top             =   480
      Width           =   1335
   End
   Begin VB.TextBox Text8 
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Top             =   480
      Width           =   1215
   End
   Begin VB.CommandButton Start_Counter 
      Caption         =   "Start Counter"
      Height          =   495
      Left            =   5880
      TabIndex        =   2
      Top             =   0
      Width           =   1335
   End
   Begin VB.TextBox Text4 
      Enabled         =   0   'False
      Height          =   375
      Left            =   1800
      TabIndex        =   0
      Top             =   0
      Width           =   1215
   End
   Begin VB.Label Label5 
      Caption         =   "(JP24 select clock2=80K,  J25 select CH3, J26 select 80K, Refer to Sec. 5.11 of User's Manual)"
      ForeColor       =   &H000000FF&
      Height          =   255
      Left            =   360
      TabIndex        =   10
      Top             =   960
      Width           =   6855
   End
   Begin VB.Label Label2 
      Caption         =   "Offset  Low Count "
      Height          =   255
      Left            =   3120
      TabIndex        =   9
      Top             =   480
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Current Low Count "
      Height          =   255
      Left            =   3120
      TabIndex        =   8
      Top             =   120
      Width           =   1335
   End
   Begin VB.Label Label8 
      Caption         =   "Active Board (From 1..)"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   1815
   End
   Begin VB.Label Label4 
      Caption         =   "Total Boards"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
 'Refer to Sec. 5.11 of "PCI-TMC12 User's Manual"
'This demo program shows how to use callback function
'JP24 select clock2=80K
'J26 select 80K
'J25 select CH3

Option Explicit
Dim i As Long, dwBoardNo As Long, dwOffset As Long
Dim t1 As Long, t2 As Long
Dim counter As Byte, cMode As Byte

Private Sub Stop_Counter_Click()

PTMC12_DisableInt dwBoardNo
Text1.Text = ""

Timer1.Enabled = False
End Sub

Private Sub Start_Counter_Click()

Dim i As Long, j As Long, init As Long, iRtn As Long
Dim wVal As Integer

dwBoardNo = Val(Text8.Text)
iRtn = PTMC12_OpenBoard(dwBoardNo, 1)      ' with interrupt
'open board before access the I/O of this board

counter = 3
cMode = 3
i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF) 'Counter3 downcount from ffff

dwOffset = &H14
wVal = 0
i = PTMC12_WriteWord(dwBoardNo, dwOffset, wVal)

int_count_0 = 3

init = 2    'initial high --> will count low pulse
i = PTMC12_InstallCallBackFunc(dwBoardNo, init, AddressOf user_callback_0)
j = PTMC12_EnableInt(dwBoardNo)

Timer1.Enabled = True
End Sub


Private Sub Form_Load()
Dim i As Long
Dim iRtn As Long

iRtn = PTMC12_DriverInit() 'Initial PCI-TMC12A

i = PTMC12_DetectBoards() 'Search how many PCI-TMC12A in your system
Text4.Text = i
Text8.Text = 1

End Sub

Private Sub Form_Unload(Cancel As Integer)
Sleep (200)
PTMC12_DisableInt dwBoardNo
PTMC12_CloseAll 'Close all PCI-TMC12A
End Sub

Private Sub Timer1_Timer()
Dim dwVal As Long

    Form1.Caption = Time$
    Text1.Text = int_count_0    'current low count

    t1 = int_count_0
    Text2.Text = t1 - t2        'offset low count
    t2 = t1

End Sub
