VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Digital I/O"
   ClientHeight    =   1350
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7500
   LinkTopic       =   "Form1"
   ScaleHeight     =   1350
   ScaleWidth      =   7500
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text8 
      BackColor       =   &H0080FF80&
      Height          =   495
      Left            =   1800
      TabIndex        =   5
      Text            =   "1"
      Top             =   720
      Width           =   1215
   End
   Begin VB.TextBox Text7 
      BackColor       =   &H0080FF80&
      Height          =   495
      Left            =   4800
      TabIndex        =   4
      Text            =   "&H5555"
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox Text6 
      BackColor       =   &H0080FFFF&
      Enabled         =   0   'False
      Height          =   495
      Left            =   4800
      TabIndex        =   3
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton Command2 
      Caption         =   "R/W D/I/O"
      Height          =   1095
      Left            =   6120
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox Text4 
      BackColor       =   &H0080FFFF&
      Enabled         =   0   'False
      Height          =   495
      Left            =   1800
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label8 
      Caption         =   "Active Board(From 1...)"
      Height          =   255
      Left            =   0
      TabIndex        =   8
      Top             =   840
      Width           =   1695
   End
   Begin VB.Label Label7 
      Caption         =   "Write to D/O"
      Height          =   255
      Left            =   3240
      TabIndex        =   7
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Label6 
      Caption         =   "Read From D/I"
      Height          =   255
      Left            =   3240
      TabIndex        =   6
      Top             =   840
      Width           =   1335
   End
   Begin VB.Label Label4 
      Caption         =   "Total Board"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Refer to Sec. 5.1 & 5.2 of PCI-TMC12 User's Manual
Option Explicit


Private Sub Command2_Click()
Dim i As Long, dwBoardNo As Long, dwOffset As Long
Dim wVal As Integer


dwOffset = &H14
dwBoardNo = Val(Text8.Text)
wVal = Val(Text7.Text)

i = PTMC12_OpenBoard(dwBoardNo, 0)      ' no interrupt
'open board before access the I/O of this board

i = PTMC12_WriteWord(dwBoardNo, dwOffset, wVal)  'Output value
i = PTMC12_ReadWord(dwBoardNo, dwOffset, wVal)   'Read value

Text6.Text = "&H" + Hex(wVal)

i = PTMC12_CloseBoard(dwBoardNo)
'close board to allow other program access this board
End Sub

Private Sub Form_Load()
Dim i As Long

i = PTMC12_DriverInit() 'Initital PCI-TMC12A


i = PTMC12_DetectBoards() 'Search how manay PCI-TMC12A in your system
Text4.Text = i

End Sub

Private Sub Form_Unload(Cancel As Integer)
PTMC12_CloseAll 'Close PCI_TMC12A
End Sub
