VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Watchdog Timer"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3795
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   3795
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   1560
      Top             =   240
   End
   Begin VB.TextBox Text1 
      Enabled         =   0   'False
      Height          =   495
      Left            =   2160
      TabIndex        =   6
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Stop Refresh"
      Height          =   495
      Left            =   1920
      TabIndex        =   5
      Top             =   1920
      Width           =   1455
   End
   Begin VB.TextBox Text8 
      Enabled         =   0   'False
      Height          =   495
      Left            =   2160
      TabIndex        =   3
      Text            =   "1"
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Start and Refresh"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   1920
      Width           =   1455
   End
   Begin VB.TextBox Text4 
      Enabled         =   0   'False
      Height          =   495
      Left            =   2160
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label5 
      Caption         =   "(J24 select clock2=80K,  J25 select CH3, J26 select 80K, Refer to Sec. 5.7 of User's Manual)"
      ForeColor       =   &H000000FF&
      Height          =   495
      Left            =   120
      TabIndex        =   8
      Top             =   2520
      Width           =   3495
   End
   Begin VB.Label Label1 
      Caption         =   "Current Low Count "
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   1440
      Width           =   1335
   End
   Begin VB.Label Label8 
      Caption         =   "Active Board(From 1...)"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   840
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "Total Boards"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Refer to Sec. 5.7 of "PCI-TMC12 User's Manual"
'This demo program shows how to use callback function
'J24 select clock2=80K
'J26 select 80K
'J25 select CH3

Option Explicit
Dim i As Long, dwBoardNo As Long, dwOffset As Long
Dim counter As Byte, cMode As Byte

Private Sub Command1_Click()
End
End Sub

Private Sub Command2_Click()
Dim i As Long, j As Long, init As Long

If Command2.Caption = "Start and Refresh" Then

    dwBoardNo = Val(Text8.Text)
    i = PTMC12_OpenBoard(dwBoardNo, 1)      ' with interrupt

    i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF)
    'counter_3 & mode_3 down count ffff clock=0.8192 sec -->high width =0.4096 sec

    Sleep (50)

    int_count_0 = 0

    init = 2    'initial high --> will count low pulse
    i = PTMC12_InstallCallBackFunc(dwBoardNo, init, AddressOf user_callback_0)
    j = PTMC12_EnableInt(dwBoardNo)

    Command2.Caption = "Stop set counter"

    While Command2.Caption = "Stop set counter"

        i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF)
        'counter_3 & mode_3 down count ffff clock=0.8192 sec -->high width =0.4096 sec

        Text1.Text = int_count_0        'show current low count
        DoEvents
        
    Wend
    
Else

    Command2.Caption = "Start and Refresh"

    PTMC12_DisableInt dwBoardNo      'Stop interrupt
    i = PTMC12_CloseBoard(dwBoardNo) 'Close select board
    
    If int_count_0 <> 0 Then
        MsgBox ("Watch is failure now")
    Else
        MsgBox ("Watch is success now")
    End If
    
    
End If

End Sub


Private Sub Form_Load()
Dim wVal As Integer

i = PTMC12_DriverInit() 'Initial PCI-TMC12A

i = PTMC12_DetectBoards() 'Search how many PCI-TMC12A
Text4.Text = i

counter = 3
cMode = 3

End Sub

Private Sub Form_Unload(Cancel As Integer)
PTMC12_CloseAll
End Sub

