VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Pulse Width Mesure"
   ClientHeight    =   1545
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5100
   LinkTopic       =   "Form1"
   ScaleHeight     =   1545
   ScaleWidth      =   5100
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   2160
      TabIndex        =   6
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Stop"
      Height          =   495
      Left            =   3720
      TabIndex        =   5
      Top             =   840
      Width           =   1215
   End
   Begin VB.TextBox Text8 
      Height          =   375
      Left            =   2160
      TabIndex        =   3
      Text            =   "1"
      Top             =   480
      Width           =   1215
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Start "
      Height          =   735
      Left            =   3720
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox Text4 
      Height          =   375
      Left            =   2160
      TabIndex        =   0
      Top             =   0
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "High pulse (ms) ="
      Height          =   255
      Left            =   480
      TabIndex        =   7
      Top             =   1080
      Width           =   1335
   End
   Begin VB.Label Label8 
      Caption         =   "Active Boards(From 1...)"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   1815
   End
   Begin VB.Label Label4 
      Caption         =   "Total Boards"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Refer to Sec. 5.8 of PCI-TMC12 User's Manual
'this program is enhanced for long-pulse

Option Explicit
Dim i As Long, dwBoardNo As Long, dwOffset As Long

Private Sub Command1_Click()
End
End Sub

Private Sub Command2_Click()
dwBoardNo = Val(Text8.Text)     'select active board
PTMC12_OpenBoard dwBoardNo, 0 'Open PCI-TMC12A before action

High_Pulse_Measurement
PTMC12_CloseBoard dwBoardNo 'Close select Board
End Sub

Private Sub Form_Load()
Dim i As Long

i = PTMC12_DriverInit() 'Initial PCI-TMC12A

i = PTMC12_DetectBoards() 'Search how many PCI-TMC12A in your system
Text4.Text = i
Text8.Text = 1

End Sub

Private Sub Form_Unload(Cancel As Integer)
PTMC12_CloseAll 'Close all PCI-TMC12A
End Sub

Private Function High_Pulse_Measurement() As Single
Dim cMode As Byte, counter As Byte
Dim wVal As Integer, wLow As Integer, wHigh As Integer, w1 As Integer
Dim count As Long, wOverflow As Long, ReadValue As Long

wOverflow = 0

Do While True
    dwOffset = &H14
    i = PTMC12_ReadWord(dwBoardNo, dwOffset, wVal) ' wait until EXT_GATE1 High
    If (wVal And 1) = 1 Then
        Exit Do
    End If
Loop
    
Do While True
    dwOffset = &H14
    i = PTMC12_ReadWord(dwBoardNo, dwOffset, wVal) ' wait until EXT_GATE1 Low
    If (wVal And 1) = 0 Then
        Exit Do
    End If
Loop

counter = 1
cMode = 0

i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF) 'Counter1 down count from ffff

Do While True

    dwOffset = &H14
    i = PTMC12_ReadWord(dwBoardNo, dwOffset, wVal) ' wait until EXT_GATE1 High
    
    If (wVal And 1) = 1 Then
        Exit Do
    End If
    
Loop

w1 = 255

Do                              'wait EXG1=Low
    dwOffset = &H14
    i = PTMC12_ReadWord(dwBoardNo, dwOffset, wVal)
    wVal = wVal And 1
    
    i = PTMC12_ReadCounter(dwBoardNo, counter, ReadValue) 'Read counter1 value

    wHigh = (ReadValue \ (2 ^ 8)) And &HFF  'Get high byte
    wLow = ReadValue And &HFF
    
    If wHigh > w1 Then wOverflow = wOverflow + 1    'program is enhanced for long pulse
    w1 = wHigh
        
Loop Until wVal = 0

count = (255 - wHigh)
count = count * 256 + 255 - wLow + 2
count = count + wOverflow * 65536

Dim HpmSecond As Single
HpmSecond = count * 0.000125
Text1.Text = Format(HpmSecond, "####.####")

End Function
