VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "PWM Output"
   ClientHeight    =   2700
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5610
   LinkTopic       =   "Form1"
   ScaleHeight     =   2700
   ScaleWidth      =   5610
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   2535
      Left            =   3360
      MultiLine       =   -1  'True
      TabIndex        =   12
      Text            =   "Form1.frx":0000
      Top             =   120
      Width           =   2055
   End
   Begin VB.TextBox tbxFrequency 
      BackColor       =   &H00C0FFC0&
      Height          =   375
      Left            =   1920
      TabIndex        =   7
      Text            =   "1000.0"
      Top             =   1080
      Width           =   855
   End
   Begin VB.TextBox tbxDuty 
      BackColor       =   &H00C0FFC0&
      Height          =   375
      Left            =   1920
      TabIndex        =   6
      Text            =   "10.0"
      Top             =   1440
      Width           =   855
   End
   Begin VB.CommandButton cmdPWM 
      Caption         =   "START PWM"
      Height          =   615
      Left            =   120
      TabIndex        =   5
      Top             =   1920
      Width           =   1575
   End
   Begin VB.CommandButton Command1 
      Caption         =   "STOP PWM"
      Height          =   615
      Left            =   1800
      TabIndex        =   4
      Top             =   1920
      Width           =   1455
   End
   Begin VB.TextBox Text8 
      BackColor       =   &H0080FFFF&
      Height          =   375
      Left            =   1920
      TabIndex        =   2
      Text            =   "1"
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox Text4 
      BackColor       =   &H00C0FFC0&
      Enabled         =   0   'False
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label6 
      Caption         =   "Frequency"
      Height          =   375
      Left            =   120
      TabIndex        =   11
      Top             =   1080
      Width           =   975
   End
   Begin VB.Label Label5 
      Caption         =   "Hz"
      Height          =   375
      Left            =   2760
      TabIndex        =   10
      Top             =   1080
      Width           =   495
   End
   Begin VB.Label Label3 
      Caption         =   "Duty Rate"
      Height          =   375
      Left            =   120
      TabIndex        =   9
      Top             =   1440
      Width           =   975
   End
   Begin VB.Label Label2 
      Caption         =   "%"
      Height          =   375
      Left            =   2760
      TabIndex        =   8
      Top             =   1440
      Width           =   495
   End
   Begin VB.Label Label8 
      Caption         =   "ActiveBoards(From 1...)"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   600
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "Total Boards"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Refer to Sec. 5.6 of PCI-TMC12 User's Manual
'CNT1 select ECLK1 (JP22)
'connect the external CNT signal to Pin1 of CON1

Option Explicit
Dim i As Long, dwBoardNo As Long
Dim counter As Byte, TempByte As Byte, cMode As Byte


Private Sub cmdPWM_Click()
Dim CountVal As Long
Dim DutyVal As Long
Dim SourceCLK As Single

dwBoardNo = Val(Text8.Text)
i = PTMC12_OpenBoard(dwBoardNo, 0)      ' no interrupt
'open board before access the I/O of this board

SourceCLK = 80000#  '//80 kHz

counter = 1
cMode = 3
CountVal = CInt(SourceCLK / CSng(Me.tbxFrequency.Text)) 'Internal Clock is CLK2 = 80 kHz
i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, CountVal) 'Counter 1 Output Frequency

counter = 2
cMode = 1
DutyVal = CountVal * (CSng(Me.tbxDuty.Text) * 0.01)
i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, DutyVal) 'Counter 2 Outupt Duty

Me.Caption = "PWM Enable " + "[" + CStr(SourceCLK / CSng(CountVal)) + " Hz," + CStr((CSng(DutyVal) / CSng(CountVal)) * 100#) + " %]"

End Sub

Private Sub Command1_Click()

i = PTMC12_WriteCounter(dwBoardNo, 1, 2, 1) 'Stop Counter 1
i = PTMC12_WriteCounter(dwBoardNo, 2, 2, 1) 'Stop Counter 2

Form1.Caption = "PWM Disable"

End Sub

Private Sub Form_Load()

i = PTMC12_DriverInit() 'Initial PCI-TMC12A
i = PTMC12_DetectBoards() 'Search how many PCI-TMC12A in your system
Text4.Text = i

End Sub

Private Sub Form_Unload(Cancel As Integer)
PTMC12_CloseAll 'Close all PCI-TMC12A
End Sub


