VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Software Count"
   ClientHeight    =   1695
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4725
   LinkTopic       =   "Form1"
   ScaleHeight     =   1695
   ScaleWidth      =   4725
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   120
      Top             =   960
   End
   Begin VB.TextBox Text1 
      BackColor       =   &H0080FF80&
      Enabled         =   0   'False
      Height          =   375
      Left            =   1920
      TabIndex        =   6
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Stop Counter"
      Height          =   495
      Left            =   3240
      TabIndex        =   5
      Top             =   960
      Width           =   1335
   End
   Begin VB.TextBox Text8 
      BackColor       =   &H0080FFFF&
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Text            =   "1"
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Start Counter"
      Height          =   735
      Left            =   3240
      TabIndex        =   2
      Top             =   120
      Width           =   1335
   End
   Begin VB.TextBox Text4 
      BackColor       =   &H0080FF80&
      Enabled         =   0   'False
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Count"
      Height          =   375
      Left            =   600
      TabIndex        =   7
      Top             =   1080
      Width           =   975
   End
   Begin VB.Label Label8 
      Caption         =   "ActiveBoards(From 1...)"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "Total Boards"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Refer to Sec. 5.6 of PCI-TMC12 User's Manual
'CNT1 select ECLK1 (JP22)
'connect the external CNT signal to Pin1 of CON1

Option Explicit
Dim i As Long, dwBoardNo As Long, c65536
Dim counter As Byte, TempByte As Byte, cMode As Byte


Private Sub Command1_Click()
Timer1.Enabled = False
Form1.Caption = "Form1"
Text1.Text = ""
End Sub

Private Sub Command2_Click()

dwBoardNo = Val(Text8.Text)
i = PTMC12_OpenBoard(dwBoardNo, 0)      ' no interrupt
'open board before access the I/O of this board

counter = 1
cMode = 0

i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF) 'Counter 1 down count from FFFF

TempByte = &HFF
c65536 = 0
Timer1.Enabled = True
End Sub

Private Sub Form_Load()

i = PTMC12_DriverInit() 'Initial PCI-TMC12A
i = PTMC12_DetectBoards() 'Search how many PCI-TMC12A in your system
Text4.Text = i

End Sub

Private Sub Form_Unload(Cancel As Integer)
PTMC12_CloseAll 'Close all PCI-TMC12A
End Sub

Private Sub Timer1_Timer()
Dim cHigh As Byte
Dim dwLo As Long, dwHi As Long, dwVal As Long, ReadValue As Long

Form1.Caption = Time$

counter = 1
i = PTMC12_ReadCounter(dwBoardNo, counter, ReadValue) 'Read counter value

cHigh = (ReadValue \ (2 ^ 8)) And &HFF
dwLo = 255 - (ReadValue And &HFF)
dwHi = 255 - cHigh

If cHigh > TempByte Then c65536 = c65536 + 1 'Check overflow

TempByte = cHigh

dwVal = c65536 * 65536 + dwHi * 256 + dwLo
Text1.Text = dwVal

End Sub
