VERSION 5.00
Begin VB.Form Form1 
   BackColor       =   &H0000C000&
   Caption         =   "16-bit Event Counter"
   ClientHeight    =   1830
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5340
   LinkTopic       =   "Form1"
   ScaleHeight     =   1830
   ScaleWidth      =   5340
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   120
      Top             =   960
   End
   Begin VB.TextBox Text1 
      BackColor       =   &H0080FFFF&
      Height          =   375
      Left            =   1920
      TabIndex        =   6
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Stop Counter"
      Height          =   495
      Left            =   3360
      TabIndex        =   5
      Top             =   960
      Width           =   1335
   End
   Begin VB.TextBox Text8 
      BackColor       =   &H0080FF80&
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Top             =   480
      Width           =   1215
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Start Counter"
      Height          =   615
      Left            =   3360
      TabIndex        =   2
      Top             =   120
      Width           =   1335
   End
   Begin VB.TextBox Text4 
      BackColor       =   &H0080FFFF&
      Enabled         =   0   'False
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   0
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Count"
      Height          =   375
      Left            =   840
      TabIndex        =   7
      Top             =   960
      Width           =   735
   End
   Begin VB.Label Label8 
      Caption         =   "Active Board(Start to 1)"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "TotalBoard"
      Height          =   255
      Left            =   480
      TabIndex        =   1
      Top             =   120
      Width           =   975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Refer to Sec. 5.5 of PCI-TMC12 User's Manual
'Step1:CNT1 select ECLK1(JP22)
'Step2:Connect the external CNT signal to pin1 of CON1

Option Explicit
Dim i As Long, dwBoardNo As Long, dwOffset As Long, Start As Long
Dim counter As Byte


Private Sub Command1_Click()
Timer1.Enabled = False
Form1.Caption = "Form1"
Text1.Text = ""
End Sub

Private Sub Command2_Click()
Dim cMode As Byte, cLow As Byte, cHigh As Byte, cVal As Byte
dwBoardNo = Val(Text8.Text)
i = PTMC12_OpenBoard(dwBoardNo, 0)      ' no interrupt
'open board before access the I/O of this board

counter = 1
cMode = 0

i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF) 'Counter1 down count from &HFFFF

Timer1.Enabled = True
End Sub

Private Sub Form_Load()
Dim i As Long
Dim rtn As Long
rtn = PTMC12_DriverInit() 'Initial PCI-TMC12A

i = PTMC12_DetectBoards() 'Search how many PCI-TMC12A
Text4.Text = i

Text8.Text = 1
              'disable
End Sub

Private Sub Form_Unload(Cancel As Integer)
PTMC12_CloseAll 'Close all PCI-TMC12A
End Sub

Private Sub Timer1_Timer()
Dim dwVal As Long, ReadValue As Long

Form1.Caption = Time$

counter = 1
 
i = PTMC12_ReadCounter(dwBoardNo, counter, ReadValue) 'Read counter1 Value

dwVal = 65535 - ReadValue
Text1.Text = dwVal

End Sub
