VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5085
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6030
   LinkTopic       =   "Form1"
   ScaleHeight     =   5085
   ScaleWidth      =   6030
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   375
      Left            =   4560
      TabIndex        =   6
      Top             =   4560
      Width           =   975
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Start"
      Height          =   375
      Left            =   360
      TabIndex        =   5
      Top             =   4560
      Width           =   975
   End
   Begin VB.ListBox List1 
      Height          =   3375
      Left            =   360
      TabIndex        =   4
      Top             =   960
      Width           =   5175
   End
   Begin VB.TextBox Text2 
      Height          =   375
      Left            =   4320
      TabIndex        =   1
      Top             =   120
      Width           =   855
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   2160
      TabIndex        =   0
      Top             =   120
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "Detect Boards"
      Height          =   255
      Left            =   3120
      TabIndex        =   3
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Active Boards(From 1...)"
      Height          =   375
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Refer to Sec. 5.15 of PCI-TMC12A User's Manual
'ndemo2 :generate 2 starting clock demo
'step 1 :all clock sources select external_clock
'step 2 :run ndemo2.exe
'setp 3 :read the counter value of counter1 to counter12

Option Explicit
Dim dwOffset As Long, dwBoardNo As Long, i As Long, j As Long, ReadValue As Long
Dim high As Byte, low As Byte, counter As Byte, cMode As Byte

Private Sub cmdExit_Click()
PTMC12_CloseAll 'Close all PCI-TMC12A
End
End Sub

Private Sub Command4_Click()
Dim count As Long
List1.Clear

dwBoardNo = Val(Text1.Text)
If PTMC12_OpenBoard(dwBoardNo, 0) <> PCI_NoError Then
    MsgBox "This board can't active!!"
    Exit Sub
End If

cMode = 0
For counter = 1 To 12
    i = PTMC12_WriteCounter(dwBoardNo, counter, cMode, &HFFFF - counter) 'PTMC12_WriteCounter(dwBoardNo,Counter,Mode,Data)
Next

'**** generate 2 starting clocks to all channels (counter1 ~ counter 12) ****
Sleep 1
pci_tmc12_do2 0
pci_tmc12_do2 &HFFF
pci_tmc12_do2 0
pci_tmc12_do2 &HFFF
pci_tmc12_do2 0

For j = 0 To 10

    For counter = 1 To 12

        i = PTMC12_ReadCounter(dwBoardNo, counter, ReadValue) 'Read counter Value

        high = (ReadValue \ (2 ^ 8)) And &HFF
        low = ReadValue And &HFF
        count = 65535 - ReadValue
        List1.AddItem ("counter " & counter & ",high=" & high & ",low=" & low & ",count=" & count)
    Next

    '*** generate one clock to all channels for testing only ***
    pci_tmc12_do2 (&HFFF)
    pci_tmc12_do2 (0)

    List1.AddItem "------------------------"
    
    Sleep 10
Next
    PTMC12_CloseBoard dwBoardNo 'Close select board

End Sub

Private Sub Form_Load()
Dim wTotalBoards As Integer

If PTMC12_DriverInit() <> PCI_NoError Then
    MsgBox "Device Driver Open Error !!!"
End If

Text2.Text = PTMC12_DetectBoards() 'Search how many PCI-TMC12A
wTotalBoards = Text2.Text

Text1.Text = 1

End Sub

Private Sub Form_Unload(Cancel As Integer)
PTMC12_CloseAll 'Close all PCI-TMC12A
End Sub

Private Sub pci_tmc12_do(ByVal wDo As Integer)
dwOffset = &H14
i = PTMC12_WriteWord(dwBoardNo, dwOffset, wDo)
End Sub

Private Sub pci_tmc12_do2(ByVal wXor As Integer)
dwOffset = &H18
i = PTMC12_WriteWord(dwBoardNo, dwOffset, wXor)
End Sub

